ConfigurationParameter (Apache Geode 1.15.4)

org.apache.geode.admin

## Interface ConfigurationParameter

- Deprecated.
  as of 7.0 use the `management` package instead

      @Deprecated
      public interface ConfigurationParameter

  A single configuration parameter of a `SystemMember`.
  Since:
    GemFire 3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Deprecated. Gets the full description of this configuration parameter
    `String` | `getName()` Deprecated. Gets the identifying name of this configuration parameter.
    `Object` | `getValue()` Deprecated. Gets the current value
    `String` | `getValueAsString()` Deprecated. Gets the current value as a string
    `Class` | `getValueType()` Deprecated. Gets the class type of the value
    `boolean` | `isArray()` Deprecated. Returns true if this config parameter uses a string array for value.
    `boolean` | `isFile()` Deprecated. Returns true if this config parameter represents a File value.
    `boolean` | `isInetAddress()` Deprecated. Returns true if this config parameter represents an InetAddress value.
    `boolean` | `isModifiable()` Deprecated. True if this is modifiable; false if read-only
    `boolean` | `isOctal()` Deprecated. Returns true if this config parameter represents an octal value.
    `boolean` | `isString()` Deprecated. Returns true if this config parameter represents a string value
    `void` | `setValue(Object value)` Deprecated. Sets a new value for this configuration parameter.

- - ### Method Detail

    - #### getName

          String getName()

      Deprecated.
      Gets the identifying name of this configuration parameter.
      Returns:
        the identifying name of this configuration parameter

    - #### getDescription

          String getDescription()

      Deprecated.
      Gets the full description of this configuration parameter
      Returns:
        the full description of this configuration parameter

    - #### getValue

          Object getValue()

      Deprecated.
      Gets the current value
      Returns:
        the current value

    - #### getValueAsString

          String getValueAsString()

      Deprecated.
      Gets the current value as a string
      Returns:
        the current value as a string

    - #### getValueType

          Class getValueType()

      Deprecated.
      Gets the class type of the value
      Returns:
        the class type of the value

    - #### isModifiable

          boolean isModifiable()

      Deprecated.
      True if this is modifiable; false if read-only
      Returns:
        whether this is modifiable

    - #### isArray

          boolean isArray()

      Deprecated.
      Returns true if this config parameter uses a string array for value.
      Returns:
        whether this config parameter uses a string array for value

    - #### isInetAddress

          boolean isInetAddress()

      Deprecated.
      Returns true if this config parameter represents an InetAddress value.
      Returns:
        whether this config parameter represents an InetAddress value

    - #### isFile

          boolean isFile()

      Deprecated.
      Returns true if this config parameter represents a File value.
      Returns:
        whether this config parameter represents a File value

    - #### isOctal

          boolean isOctal()

      Deprecated.
      Returns true if this config parameter represents an octal value.
      Returns:
        whether this config parameter represents an octal value

    - #### isString

          boolean isString()

      Deprecated.
      Returns true if this config parameter represents a string value
      Returns:
        whether this config parameter represents a string value

    - #### setValue

          void setValue(Object value)
                 throws UnmodifiableConfigurationException

      Deprecated.
      Sets a new value for this configuration parameter.
      Parameters:
        `value` - the new value which must be of type `getValueType()`
      Throws:
        `IllegalArgumentException` - if value type does not match `getValueType()`
        `UnmodifiableConfigurationException` - if attempting to set value when isModifiable is false